import streamlit as st


# Custom CSS for visual enhancements
st.markdown("""
    <style>
        .main-header { font-size: 36px; color: #1E90FF; font-weight: bold; }
        .section-title { font-size: 24px; color: #1E90FF; font-weight: bold; }
        .highlight { color: #4CAF50; font-weight: bold; }
        .container { padding: 15px; background-color: #F0F8FF; border-radius: 10px; margin-bottom: 20px; }
        .footer { text-align: center; font-size: 16px; color: #555555; }
    </style>
    """, unsafe_allow_html=True)

# Main Header
st.markdown('<div class="main-header">🎉 Siddhartha Purwar 🚀</div>', unsafe_allow_html=True)

# Short Summary Section
st.markdown('<div class="section-title">👨‍💻 About Me</div>', unsafe_allow_html=True)

st.write("""
I am **Siddhartha Purwar**, a **Security Consultant Engineer** at **Cisco**, passionate about software development and AI. With expertise in **Python**, **Generative AI**, and **network security**, I am constantly exploring new technologies and solving real-world problems. Currently, I'm working on **AI-driven automation** and **security solutions** at Cisco, contributing to impactful projects like **LangChain** and **Langgraph**.
""")

# Career Ambitions Section
st.markdown('<div class="section-title">🌟 Career Ambitions</div>', unsafe_allow_html=True)

st.write("""
My career ambition is to contribute to the development of cutting-edge **AI** and **software solutions**. While I am currently focused on **network security** and **automation** in my role at Cisco, my long-term goal is to work in domains that are more closely related to **space exploration** or **physics**.

I am deeply fascinated by space technologies and the exploration of the universe. I aspire to contribute to **space missions**, **physics-based research**, or other similar projects that aim to answer the fundamental questions about the cosmos. These fields inspire me, and I hope to combine my skills in **software development** with these awe-inspiring challenges one day.
""")

# Things I Love Section
st.markdown('<div class="section-title">💖 Things I Love</div>', unsafe_allow_html=True)

st.write("""
Here are a few things that bring me joy and drive my curiosity:

- **Exploring Space**: I have a deep fascination with space and space exploration. The mysteries of the universe and the advancements in space technology keep me inspired.
- **Spiritual Awakening**: I am committed to personal growth through spiritual awakening. The journey of understanding the deeper aspects of life is something I cherish.
- **Meditation**: Meditation is my way of finding peace and staying grounded amidst the hustle of life. It's essential for mental clarity and focus.
- **Reading**: I enjoy reading, especially books that challenge my thinking and broaden my perspectives. My favorites include works on technology, philosophy, and science.
- **Web Series**: I'm a huge fan of binge-watching web series, with **The Big Bang Theory** being one of my all-time favorites. The humor and science-based storytelling always bring a smile to my face.
""")

